import axios from 'axios'
import { buildApiUrl } from './utils'
import { ServerConfig } from '../../../shared'

let config: ServerConfig

async function loadServerConfig () {
  const fallback = async function () {
    const res = await getConfigHttp()

    config = res.data
  }

  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  const windowAny = (window as any)
  if (windowAny.PeerTubeServerConfig) {
    try {
      config = JSON.parse(windowAny.PeerTubeServerConfig)
    } catch (err) {
      console.error(err)
      await fallback()
    }
  } else {
    await fallback()
  }
}

function getConfig () {
  return config
}

export {
  getConfig,
  loadServerConfig
}

// ---------------------------------------------------------------------------

function getConfigHttp () {
  return axios.get<ServerConfig>(buildApiUrl('/api/v1/config'))
}
